Foreman - Bug #12834

HostIntegrationTest::create new host page "enables override of hostgroup defaults™ test failures
12/15/2015 10:25 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category: Tests
Target version: 1.10.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3001
Description

Some intermittent test failures are seen on develop (b4e3c77):

HostIntegrationTest::create new host page.test_0003_enables override of hostgroup defaults (from H
ostIntegrationTest___create new host page)

Error Message
undefined method "puppetclasses' for nil:NilClass
Stacktrace

undefined method "puppetclasses' for nil:NilClass (ActionView::Template::Error)
/var/lib/workspace/workspace/test_develop/database/postgresql/ruby/2.1/slave/fast/app/models/conce
rns/host_common.rb:213:in “available_puppetclasses'
/var/lib/workspace/workspace/test_develop/database/postgresqgl/ruby/2.1/slave/fast/app/views/puppet
classes/_class_selection.html.erb:47:in " _app_views_puppetclasses__class_selection_html_erb__ 1039
187948635191390_157312520"
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack-3.2.22/1ib/action_view/template.rb:1
45:in "block in render'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-3.2.22/1lib/active_support/notific
ations.rb:123:in “block in instrument'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport—-3.2.22/1ib/active_support/notific
ations/instrumenter.rb:20:in " instrument'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-3.2.22/1ib/active_support/notific
ations.rb:123:in " instrument’'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack-3.2.22/1ib/action_view/template.rb:1
43:in “render'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_view/renderer/part
ial_renderer.rb:265:in "“render_partial'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_view/renderer/part
ial_renderer.rb:238:in “block in render'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_view/renderer/abst
ract_renderer.rb:38:in "block in instrument'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/notific
ations.rb:123:in “block in instrument'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-3.2.22/1lib/active_support/notific
ations/instrumenter.rb:20:in " instrument'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport—-3.2.22/1ib/active_support/notific
ations.rb:123:in "~ instrument'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack-3.2.22/1ib/action_view/renderer/abst
ract_renderer.rb:38:in " instrument'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack-3.2.22/1ib/action_view/renderer/part
ial_renderer.rb:237:in "~ render'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_view/renderer/rend
erer.rb:41:in “render_partial'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack-3.2.22/1ib/action_view/helpers/rende
ring_helper.rb:27:in "render'
/var/lib/workspace/workspace/test_develop/database/postgresqgl/ruby/2.1/slave/fast/app/views/hosts/
_form.html.erb:89:in "block (2 levels) in _app_views_hosts__form_html_erb_ 1936382440628155673_154
735700
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_view/helpers/captu
re_helper.rb:40:in "block in capture'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack-3.2.22/1ib/action_view/helpers/captu
re_helper.rb:187:in “with_output_buffer'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/actionpack-3.2.22/1ib/action_view/helpers/captu
re_helper.rb:40:in "capture’
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_view/helpers/form_
helper.rb:378:in "~ form_for'
/var/lib/workspace/workspace/test_develop/database/postgresql/ruby/2.1/slave/fast/app/helpers/layo
ut_helper.rb:406:1in "~ form_for'
/var/lib/workspace/workspace/test_develop/database/postgresqgl/ruby/2.1/slave/fast/app/views/hosts/
_form.html.erb:8:in "block in _app_views_hosts__form_html_erb_ 1936382440628155673_154735700"'
/var/lib/workspace/workspace/test_develop/database/postgresqgl/ruby/2.1/slave/fast/app/models/taxon
omy.rb:82:in “block (2 levels) in as_taxonomy'
/var/lib/workspace/workspace/test_develop/database/postgresql/ruby/2.1/slave/fast/app/models/conce
rns/foreman/thread_session.rb:147:in “as_location'
/var/lib/workspace/workspace/test_develop/database/postgresql/ruby/2.1/slave/fast/app/models/taxon
omy.rb:81l:in “block in as_taxonomy'
/var/lib/workspace/workspace/test_develop/database/postgresqgl/ruby/2.1/slave/fast/app/models/conce
rns/foreman/thread_session.rb:112:in “as_org'
/var/lib/workspace/workspace/test_develop/database/postgresqgl/ruby/2.1/slave/fast/app/models/taxon
omy.rb:80:in "as_taxonomy'
/var/lib/workspace/workspace/test_develop/database/postgresql/ruby/2.1/slave/fast/app/views/hosts/
_form.html.erb:6:in "_app_views_hosts__ form_html_erb_ 1936382440628155673_154735700"'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1lib/action_view/template.rb:1
45:in "block in render'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-3.2.22/1ib/active_support/notific
ations.rb:123:in “block in instrument'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/notific
ations/instrumenter.rb:20:in " instrument'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-3.2.22/1lib/active_support/notific
ations.rb:123:1in "~ instrument'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1lib/action_view/template.rb:1
43:in “render'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack-3.2.22/1ib/action_view/renderer/part
ial_renderer.rb:265:in ‘render_partial'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack-3.2.22/1ib/action_view/renderer/part
ial_renderer.rb:238:in “block in render'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack-3.2.22/1ib/action_view/renderer/abst
ract_renderer.rb:38:in "block in instrument'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport—-3.2.22/1ib/active_support/notific
ations.rb:123:in “block in instrument'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-3.2.22/1ib/active_support/notific
ations/instrumenter.rb:20:in "~ instrument'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/notific
ations.rb:123:in " instrument'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack-3.2.22/1ib/action_view/renderer/abst
ract_renderer.rb:38:in "instrument'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_view/renderer/part
ial_renderer.rb:237:in "render'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack-3.2.22/1ib/action_view/renderer/rend
erer.rb:41l:in ‘render_partial’
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/actionpack-3.2.22/1ib/action_view/renderer/rend
erer.rb:15:in "render'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack-3.2.22/1ib/abstract_controller/rende
ring.rb:110:1in " _render_template'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_controller/metal/s
treaming.rb:225:in ~_render_template'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/abstract_controller/rende
ring.rb:103:in " render_to_body'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/actionpack-3.2.22/1ib/action_controller/metal/r
enderers.rb:28:in " render_to_body'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack-3.2.22/1ib/action_controller/metal/c
ompatibility.rb:50:in "render_to_body'
/usr/local/rvm/gems/ruby-2.1.5@test_develop-1/gems/actionpack-3.2.22/1lib/abstract_controller/rende
ring.rb:88:in "render'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_controller/metal/r
endering.rb:16:in "render'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_controller/metal/i
nstrumentation.rb:40:in "block (2 levels) in render'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-3.2.22/1ib/active_support/core_ex
t/benchmark.rb:5:in "block in ms'
/usr/local/rvm/rubies/ruby-2.1.5/1ib/ruby/2.1.0/benchmark.rb:294:in “realtime'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/core_ex
t/benchmark.rb:5:in “ms'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_controller/metal/i
nstrumentation.rb:40:in “block in render'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_controller/metal/i
nstrumentation.rb:83:in “cleanup_view_runtime'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activerecord-3.2.22/1ib/active_record/railties/
controller_runtime.rb:24:in "cleanup_view_runtime'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack-3.2.22/1ib/action_controller/metal/i
nstrumentation.rb:39:in "render'
/var/lib/workspace/workspace/test_develop/database/postgresqgl/ruby/2.1/slave/fast/app/controllers/
hosts_controller.rb:584:in "process_hostgroup'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_controller/metal/i
mplicit_render.rb:4:in "“send_action'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/abstract_controller/base.
rb:167:in "process_action’
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/actionpack—-3.2.22/1ib/action_controller/metal/r
endering.rb:10:in “process_action'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/abstract_controller/callb
acks.rb:18:in "block in process_action'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbac
ks.rb:660:in "block (4 levels) in _run_ 170277916471642505__process_action__2005909015214079564__c
allbacks"'
/usr/local/rvm/gems/ruby-2.1.5@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbac
ks.rb:215:in "block in _conditional_callback_around_7958"
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport—-3.2.22/1ib/active_support/callbac
ks.rb:326:in "around'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbac
ks.rb:310:in *_callback_around_1919'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbac
ks.rb:214:in ~_conditional_callback_around_7958"
/usr/local/rvm/gems/ruby-2.1.5@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbac
ks.rb:626:in “block (3 levels) in _run__170277916471642505__process_action__2005909015214079564__c
allbacks'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport—-3.2.22/1ib/active_support/callbac
ks.rb:215:in “block in _conditional_callback_around_7957"'
/var/lib/workspace/workspace/test_develop/database/postgresqgl/ruby/2.1/slave/fast/app/controllers/
concerns/application_shared.rb:13:in "set_timezone'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbac
ks.rb:214:in ~_conditional_callback_around_7957"
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-3.2.22/1lib/active_support/callbac
ks.rb:625:in "block (2 levels) in _run_ 170277916471642505__process_action__2005909015214079564__ ¢
allbacks'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbac
ks.rb:215:in “block in _conditional_callback_around_7956"'
/var/lib/workspace/workspace/test_develop/database/postgresqgl/ruby/2.1/slave/fast/app/models/conce
rns/foreman/thread_session.rb:32:in “clear_thread’
/usr/local/rvm/gems/ruby-2.1.5@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbac
ks.rb:214:in " _conditional_callback_around_7956"
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbac
ks.rb:448:in “block in _run_ 170277916471642505__process_action_ 2005909015214079564_ _callbacks'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport—-3.2.22/1ib/active_support/callbac
ks.rb:215:in “block in _conditional_callback_around_7955"
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbac
ks.rb:326:in "“around'
/usr/local/rvm/gems/ruby-2.1.5@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbac
ks.rb:310:in " _callback_around_13"
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbac
ks.rb:214:in ~_conditional_callback_around_7955"
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-3.2.22/1lib/active_support/callbac
ks.rb:414:in "_run__170277916471642505__process_action__2005909015214079564_ _callbacks'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport—-3.2.22/1ib/active_support/callbac
ks.rb:405:in '__ run_callback'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbac
ks.rb:385:in ' _run_process_action_callbacks'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbac
ks.rb:81:in “run_callbacks'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/abstract_controller/callb
acks.rb:17:in “process_action'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_controller/metal/r
escue.rb:29:in process_action'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_controller/metal/i
nstrumentation.rb:30:in "block in process_action'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/notific
ations.rb:123:in “block in instrument'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-3.2.22/1lib/active_support/notific
ations/instrumenter.rb:20:in " instrument'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport—-3.2.22/1ib/active_support/notific
ations.rb:123:in "~ instrument'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_controller/metal/i
nstrumentation.rb:29:in “process_action'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/actionpack-3.2.22/1ib/action_controller/metal/p
arams_wrapper.rb:207:in “process_action’
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activerecord-3.2.22/1lib/active_record/railties/
controller_runtime.rb:18:in “process_action'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/abstract_controller/base.
rb:121:in “process'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/abstract_controller/rende
ring.rb:45:in “process'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/actionpack-3.2.22/1ib/action_controller/metal.r
b:203:in “dispatch'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack-3.2.22/1ib/action_controller/metal/r
ack_delegation.rb:14:in “dispatch’
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_controller/metal.r
b:246:in “block in action'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/routing/r
oute_set.rb:73:in “call'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/routing/r
oute_set.rb:73:in “dispatch’
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/routing/r
oute_set.rb:36:in “call'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/journey-1.0.4/1ib/journey/router.rb:68:in “bloc
k in call'
/usr/local/rvm/gems/ruby-2.1.5@test_develop-1/gems/journey—-1.0.4/1ib/journey/router.rb:56:in  each

v

/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/journey-1.0.4/1ib/journey/router.rb:56:in “call
T
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/routing/r
oute_set.rb:608:in “call'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/apipie-rails-0.2.6/1lib/apipie/static_dispatcher
.rb:65:in “call'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/apipie-rails-0.2.6/1lib/apipie/extractor/recorde
r.rb:97:in “call'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/apipie-rails-0.2.6/1lib/apipie/middleware/checks
um_in_headers.rb:27:in “call'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/rack-openid-1.4.2/1ib/rack/openid.rb:98:in “cal
lY
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1lib/action_dispatch/middlewar
e/best_standards_support.rb:17:in “call'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/rack-1.4.7/1lib/rack/etag.rb:23:in “call'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/rack-1.4.7/1lib/rack/conditionalget.rb:35:in "ca
11"
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/middlewar
e/head.rb:14:in “call'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/middlewar
e/params_parser.rb:21:in ‘call’
/var/lib/workspace/workspace/test_develop/database/postgresql/ruby/2.1/slave/fast/lib/middleware/c
atch_json_parse_errors.rb:9:in “call'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/actionpack—-3.2.22/1ib/action_dispatch/middlewar
e/flash.rb:242:in “call’
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/rack-1.4.7/1ib/rack/session/abstract/id.rb:210:
in " context'
/usr/local/rvm/gems/ruby-2.
in “call'
/usr/local/rvm/gems/ruby-2.
e/cookies.rb:341:in “call’
/usr/local/rvm/gems/ruby-2.
he.rb:64:in “call’

/usr/local/rvm/gems/ruby-2.

.5Q@test_develop-1/gems/rack-1.4.7/1lib/rack/session/abstract/id.rb:205:
.5Q@test_develop-1/gems/actionpack—-3.2.22/1ib/action_dispatch/middlewar
.5Q@test_develop-1/gems/activerecord-3.2.22/1ib/active_record/query_cac

1
n_adapters/abstract/connection_pool.rb:479:in “call'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/middlewar
e/callbacks.rb:28:in “block in call'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-3.2.22/1lib/active_support/callbac
ks.rb:405:in "_run_ 4610362398082394021__call_ 3923596810718536715__callbacks'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport—-3.2.22/1ib/active_support/callbac
ks.rb:405:1in
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbac
ks.rb:385:in "_run_call_callbacks'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbac
ks.rb:81:in “run_callbacks'
/usr/local/rvm/gems/ruby-2.1.
e/callbacks.rb:27:in ‘call'
/usr/local/rvm/gems/ruby-2.1.

.5Q@test_develop-1/gems/activerecord-3.2.22/1ib/active_record/connectio

"_ _run_callback'

5@test_develop-1/gems/actionpack-3.2.22/1lib/action_dispatch/middlewar

5@test_develop-1/gems/actionpack-3.2.22/1lib/action_dispatch/middlewar
e/remote_ip.rb:31:in “call'
5@test_develop-1/gems/actionpack-3.2.22/1lib/action_dispatch/middlewar
‘call'
1.5Q@test_develop-1/gems/actionpack-3.
“call!

.1.5@test_develop-1/gems/railties-3.2.

/usr/local/rvm/gems/ruby—-2.1.
e/debug_exceptions.rb:16:1in
/usr/local/rvm/gems/ruby-2.
e/show_exceptions.rb:56:in
/usr/local/rvm/gems/ruby-2

.22/1ib/action_dispatch/middlewar

22/1lib/rails/rack/logger.rb:32:1in

‘call_app'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/railties-3.2.22/1lib/rails/rack/logger.rb:18:1in
‘call!
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/quiet_assets-1.1.0/1lib/quiet_assets.rb:27:in “c
all _with_guiet_assets'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/middlewar

e/request_id.rb:22:in “call'
/usr/local/rvm/gems/ruby-2.1.
11"

/usr/local/rvm/gems/ruby-2.1.

5@test_develop-1/gems/rack-1.4.7/1lib/rack/methodoverride.rb:21:in "ca
5@test_develop-1/gems/rack-1.4.7/1lib/rack/runtime.rb:17:in “call’
5@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/cache/s
call!

/usr/local/rvm/gems/ruby-2.1.
trategy/local_cache.rb:72:1in

/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/rack-1.4.7/1ib/rack/lock.rb:15:in “call'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/middlewar
e/static.rb:83:in “call'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/railties-3.2.22/1ib/rails/engine.rb:484:in “cal
lY
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/railties—-3.2.22/1ib/rails/application.rb:231:1in

‘call'

/usr/local/rvm/gems/ruby-2.

1.5@test_develop-1/gems/rack-1.4.7/1lib/rack/builder.rb:134:in ‘call'

/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/rack-1.4.7/1lib/rack/urlmap.rb:64:in "block in c
all'

/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/rack-1.4.7/1lib/rack/urlmap.rb:49:in “each'
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/rack-1.4.7/1lib/rack/urlmap.rb:49:in “call'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/capybara-2.5.0/1ib/capybara/server.rb:19:in "ca
11'
/usr/local/rvm/gems/ruby-2.1.5Qtest_develop-1/gems/rack-1.4.7/1ib/rack/handler/webrick.rb:59:in s

ervice'

/usr/local/rvm/rubies/ruby-2
/usr/local/rvm/rubies/ruby-2
/usr/local/rvm/rubies/ruby-2
.1.5/1ib/ruby/2.1.0/webrick/httpserver.rb:138:in "service'
.1.5/1ib/ruby/2.1.0/webrick/httpserver.rb:94:in "“run'
.1.5/1ib/ruby/2.1.0/webrick/server.rb:295:in "block in start_thread’
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop-1/gems/logging-2.0.0/1ib/logging/diagnostic_context.rb
:448:in “call'
/usr/local/rvm/gems/ruby-2.1.5@test_develop-1/gems/logging-2.0.0/1ib/logging/diagnostic_context.rb
:448:1in “block in create_with_logging_context'

Related issues:
Related to Foreman - Bug #12659: Value cannot be overridden by unpressing the... Closed 12/02/2015

Associated revisions

Revision e47927e6 - 12/24/2015 09:23 AM - Daniel Lobato Garcia
Fixes #12834 - Avoid select2 integration test deadlock
The test was testing that selecting a hostgroup (1), then clicking on

inherit environment, then selecting another hostgroup (2) should return the
original environment. That overrides hostgroup 2 environment.

Revision c0ea0803 - 01/19/2016 09:18 AM - Daniel Lobato Garcia
Fixes #12834 - Avoid select2 integration test deadlock

The test was testing that selecting a hostgroup (1), then clicking on

inherit environment, then selecting another hostgroup (2) should return the

original environment. That overrides hostgroup 2 environment.

(cherry picked from commit e47927e6953f31e4f45b61273443cdd00c9a645f)

History

#1 - 12/15/2015 10:25 AM - Dominic Cleal
- Related to Bug #12659: Value cannot be overridden by unpressing the "inherit" button added

#2 - 12/16/2015 07:20 AM - Dominic Cleal

Also deadlocks, suggesting the server might still be processing a request when the test is exiting for some reason.
Error Message

PG::TRDeadlockDetected: ERROR: deadlock detected...

Stacktrace

PG::TRDeadlockDetected: ERROR: deadlock detected

LINE 1: ...smart_proxy_id" = "smart_proxies"."id" INNER JOIN "features"...

DETAIL: Process 11793 waits for AccessShareLock on relation 132652833 of database 132652623; blocked by proce
ss 11647.

Process 11647 waits for AccessExclusiveLock on relation 132653237 of database 132652623; blocked by process 11
793

HINT: See server log for query details.
SELECT COUNT (*) FROM "smart_proxies" INNER JOIN "features_smart_proxies" ON "features_smart_proxies"."smart_
proxy_id" = "smart_proxies"."id" INNER JOIN "features" ON "features"."id" = "features_smart_proxies"."feature_

id" WHERE "features"."name" IN ('Puppet') AND (1=1) (ActionView::Template::Error)
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activerecord-3.2.22/1ib/active_record/connection_adapt
ers/postgresqgl_adapter.rb:1163:in "async_exec'
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activerecord-3.2.22/1ib/active_record/connection_adapt
ers/postgresql_adapter.rb:1163:in "exec_no_cache'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activerecord-3.2.22/1ib/active_record/connection_adapt
ers/postgresqgl_adapter.rb:660:in ‘block in exec_query'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activerecord-3.2.22/1ib/active_record/connection_adapt
ers/abstract_adapter.rb:280:in “block in log'
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/notifications/
instrumenter.rb:20:in "~ instrument'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activerecord-3.2.22/1ib/active_record/connection_adapt
ers/abstract_adapter.rb:275:in " log'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activerecord-3.2.22/1ib/active_record/connection_adapt
ers/postgresqgl_adapter.rb:659:in "exec_query'
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activerecord-3.2.22/1ib/active_record/connection_adapt
ers/postgresqgl_adapter.rb:1262:in "~ select'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activerecord-3.2.22/1ib/active_record/connection_adapt
ers/abstract/database_statements.rb:18:in "“select_all’
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activerecord-3.2.22/1ib/active_record/connection_adapt
ers/abstract/query_cache.rb:61l:in “block in select_all'
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activerecord-3.2.22/1lib/active_record/connection_adapt
ers/abstract/query_cache.rb:75:in "cache_sqgl'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activerecord-3.2.22/1lib/active_record/connection_adapt
ers/abstract/query_cache.rb:61l:in “select_all'
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activerecord-3.2.22/1ib/active_record/connection_adapt
ers/abstract/database_statements.rb:24:in "select_one'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activerecord-3.2.22/1lib/active_record/connection_adapt
ers/abstract/database_statements.rb:30:in "“select_value'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activerecord-3.2.22/1ib/active_record/relation/calcula
tions.rb:250:1in “execute_simple_calculation’
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activerecord-3.2.22/1ib/active_record/relation/calcula
tions.rb:215:in ‘perform_calculation'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activerecord-3.2.22/1ib/active_record/relation/calcula
tions.rb:159:in “calculate’
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activerecord-3.2.22/1ib/active_record/relation/calcula
tions.rb:58:in “count'
/var/lib/workspace/workspace/test_develop/database/postgresgl/ruby/2.0.0/slave/fast/app/helpers/hosts_and_host
groups_helper.rb:74:in "~ puppet_master'
/var/lib/workspace/workspace/test_develop/database/postgresgl/ruby/2.0.0/slave/fast/app/helpers/hosts_and_host
groups_helper.rb:50:in 'puppet_master_fields'
/var/lib/workspace/workspace/test_develop/database/postgresgl/ruby/2.0.0/slave/fast/app/views/hosts/_form.html
.erb:81l:in "block (2 levels) in _app_views_hosts__form_html_erb_ 3138228995932599666_70234993922700"
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/actionpack-3.2.22/1lib/action_view/helpers/capture_help
er.rb:40:in “block in capture'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack-3.2.22/1ib/action_view/helpers/capture_help
er.rb:187:in “with_output_buffer'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack—-3.2.22/1lib/action_view/helpers/capture_help
er.rb:40:in " capture’
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/actionpack-3.2.22/1lib/action_view/helpers/form_helper.
rb:378:in "~ form_for'
/var/lib/workspace/workspace/test_develop/database/postgresqgl/ruby/2.0.0/slave/fast/app/helpers/layout_helper.
rb:406:in "~ form_for'
/var/lib/workspace/workspace/test_develop/database/postgresgl/ruby/2.0.0/slave/fast/app/views/hosts/_form.html
.erb:8:in “block in _app_views_hosts__form_html_erb_  3138228995932599666_70234993922700"
/var/lib/workspace/workspace/test_develop/database/postgresgl/ruby/2.0.0/slave/fast/app/models/taxonomy.rb:82:
in “block (2 levels) in as_taxonomy'
/var/lib/workspace/workspace/test_develop/database/postgresgl/ruby/2.0.0/slave/fast/app/models/concerns/forema
n/thread_session.rb:147:in ‘as_location'
/var/lib/workspace/workspace/test_develop/database/postgresgl/ruby/2.0.0/slave/fast/app/models/taxonomy.rb:81:
in “block in as_taxonomy'
/var/lib/workspace/workspace/test_develop/database/postgresgl/ruby/2.0.0/slave/fast/app/models/concerns/forema
n/thread_session.rb:112:in ‘as_org'
/var/lib/workspace/workspace/test_develop/database/postgresgl/ruby/2.0.0/slave/fast/app/models/taxonomy.rb:80:
in “as_taxonomy'
/var/lib/workspace/workspace/test_develop/database/postgresgl/ruby/2.0.0/slave/fast/app/views/hosts/_form.html
.erb:6:in " _app_views_hosts__ _form_html_erb_ 3138228995932599666_70234993922700"
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/actionpack-3.2.22/1lib/action_view/template.rb:145:1in
block in render'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/notifications.
rb:123:in “block in instrument'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/notifications/
instrumenter.rb:20:in "~ instrument'
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/notifications.
rb:123:in "“instrument'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack-3.2.22/1lib/action_view/template.rb:143:in
render'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack—-3.2.22/1lib/action_view/renderer/partial_ren
derer.rb:265:in "render_partial'
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/actionpack-3.2.22/1lib/action_view/renderer/partial_ren
derer.rb:238:in “block in render'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack-3.2.22/1lib/action_view/renderer/abstract_re
nderer.rb:38:in "block in instrument'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/notifications.
rb:123:in “block in instrument'
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/notifications/
instrumenter.rb:20:in "~ instrument'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/notifications.
rb:123:in " instrument'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack—-3.2.22/1lib/action_view/renderer/abstract_re
nderer.rb:38:in "instrument'
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/actionpack-3.2.22/1lib/action_view/renderer/partial_ren
derer.rb:237:in "render'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack-3.2.22/1ib/action_view/renderer/renderer.rb
:41:in "render_partial'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack—-3.2.22/1lib/action_view/renderer/renderer.rb
:15:in “render'
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/actionpack-3.2.

:110:in " _render_template'

/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack-3.2.

g.rb:225:in ' _render_template'

/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack-3.2.

:103:in “render_to_body'

/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/actionpack-3.2.

s.rb:28:in "render_to_body'

/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack-3.2.

ility.rb:50:in "render_to_body'

/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack-3.2.

:88:1in “render'

/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/actionpack-3.2.

22/1lib/abstract_controller/rendering.rb
22/1lib/action_controller/metal/streamin
22/1lib/abstract_controller/rendering.rb
22/1lib/action_controller/metal/renderer
22/lib/action_controller/metal/compatib
22/1lib/abstract_controller/rendering.rb

22/1lib/action_controller/metal/renderin

g.rb:16:in “render'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack-3.2.22/1lib/action_controller/metal/instrume
ntation.rb:40:in "block (2 levels) in render'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport—-3.2.22/1lib/active_support/core_ext/bench
mark.rb:5:in "block in ms'

/usr/local/rvm/rubies/ruby-2.0.0-p353/1ib/ruby/2.0.0/benchmark.rb:296:in "realtime'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/core_ext/bench
mark.rb:5:in ‘ms'
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/actionpack-3.2.22/1lib/action_controller/metal/instrume
ntation.rb:40:in “block in render'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack-3.2.22/1lib/action_controller/metal/instrume
ntation.rb:83:in “cleanup_view_runtime'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activerecord-3.
ler_runtime.rb:24:in “cleanup_view_runtime'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack-3.2.
ntation.rb:39:in “render'
/var/lib/workspace/workspace/test_develop/database/postgresgl/ruby/2.0.
roller.rb:584:in "“process_hostgroup'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack-3.2.
_render.rb:4:in “send_action'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack-3.2.
in “process_action'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack-3.2.
g.rb:10:in “process_action'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack—-3.2.22/1lib/abstract_controller/callbacks.rb
:18:in “block in process_action'

2.22/1lib/active_record/railties/control
22/1lib/action_controller/metal/instrume
0/slave/fast/app/controllers/hosts_cont
22/lib/action_controller/metal/implicit
22/1ib/abstract_controller/base.rb:167:

22/1lib/action_controller/metal/renderin

/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/callbacks.rb:6
60:in ‘block (4 levels) _run__2897255757554138629__process_action__2673825778686421125__callbacks'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbacks.
15:in "block in _conditional_callback_around_7958"'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport—-3.2.22/1lib/active_support/callbacks.
26:in Taround'
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/callbacks.
10:in ' _callback_around_1919"'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbacks.
14:in "~ _conditional_callback_around_7958"'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport—-3.2.22/1lib/active_support/callbacks.
26:in “block (3 levels) _run__2897255757554138629__process_action_ 2673825778686421125__callbacks'
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/callbacks.rb:2
15:in “block in _conditional_callback_around_7957"'
/var/lib/workspace/workspace/test_develop/database/postgresgl/ruby/2.0.0/slave/fast/app/controllers/concerns/a
pplication_shared.rb:13:in "~ set_timezone'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/callbacks.rb:2
14:in " _conditional_callback_around_7957"
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/callbacks.rb:6
25:in “block (2 levels) _run__2897255757554138629__process_action__2673825778686421125__callbacks'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbacks.rb:2
15:in "block in _conditional_callback_around_7956'
/var/lib/workspace/workspace/test_develop/database/postgresgl/ruby/2.0.0/slave/fast/app/models/concerns/forema
n/thread_session.rb:32:in “clear_thread'

in
rb:2

rb:3
rb:3
rb:2

rb:6

in

in

/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/callbacks.rb:2
14:in ' _conditional_callback_around_7956"
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbacks.
48:in "block in _run_ 2897255757554138629__process_action_ 2673825778686421125__callbacks'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport—-3.2.22/1lib/active_support/callbacks.
15:in "block in _conditional_callback_around_7955"'
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/callbacks.
26:1in “around'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbacks.
10:in " _callback_around_13'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport—-3.2.22/1lib/active_support/callbacks.
14:in " _conditional_callback_around_7955"

rb:4

rb:2

rb:3

rb:3

rb:2
/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/callbacks.rb:4

14:in

_run__2897255757554138629__process_action__2673825778686421125__callbacks'

/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/callbacks.rb:4

05:in " __run_callback'

/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport—-3.2.22/1lib/active_support/callbacks.rb:3

85:in

" _run_process_action_callbacks'

/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/callbacks.rb:8

l1:in “run_callbacks'

/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack-3.2.22/1ib/abstract_controller/callbacks.rb

:17:in "“process_action'

/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack—-3.2.22/1lib/action_controller/metal/rescue.r

b:29:in “process_action'

/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/actionpack-3.2.22/1lib/action_controller/metal/instrume
ntation.rb:30:in “block in process_action'
/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1ib/active_support/notifications.

rb:123:1in

"block in instrument'

/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/notifications/

instrumenter.rb:20:in

“instrument'

/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/notifications.

rb:123:in "“instrument'

/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack-3.2.22/1lib/action_controller/metal/instrume

ntation.rb:29:in “process_action'

/usr/local/rvm/gems/ruby-2.0.0-p353@test_develop-1/gems/actionpack-3.2.

rapper.rb:207:in “process_action'

/usr/local/rvm/gems/ruby—-2.0.0-p353@test_develop-1/gems/activerecord-3.

ler_runtime.rb:18:in “process_action'

/usr/local/rvm/gems/ruby-2.
in “process'
/usr/local/rvm/gems/ruby-2.
:45:in “process'
/usr/local/rvm/gems/ruby-2.
n “dispatch'
/usr/local/rvm/gems/ruby-2.
egation.rb:14:in “dispatch'
/usr/local/rvm/gems/ruby-2.
n “block in action'
/usr/local/rvm/gems/ruby-2.
t.rb:73:in “call'
/usr/local/rvm/gems/ruby-2.
t.rb:73:in “dispatch’
/usr/local/rvm/gems/ruby-2.
t.rb:36:in “call’
/usr/local/rvm/gems/ruby-2.
11!
/usr/local/rvm/gems/ruby-2.
/usr/local/rvm/gems/ruby-2.
/usr/local/rvm/gems/ruby-2.
t.rb:608:in “call'
/usr/local/rvm/gems/ruby-2.
‘call!
/usr/local/rvm/gems/ruby-2.
‘call!
/usr/local/rvm/gems/ruby-2.
eaders.rb:27:in “call'
/usr/local/rvm/gems/ruby-2.
/usr/local/rvm/gems/ruby-2.
standards_support.rb:17:1in

in

:in

/usr/local/rvm/gems/ruby-2.
/usr/local/rvm/gems/ruby-2.
/usr/local/rvm/gems/ruby-2.
rb:14:in “call'
/usr/local/rvm/gems/ruby-2.
s_parser.rb:21l:in “call'

0

0

0.
0.

.0-p353@test_develop-1/gems/actionpack-3.2.
.0-p353@test_develop-1/gems/actionpack-3.
.0-p353Q@test_develop-1/gems/actionpack-3.
.0-p353@test_develop-1/gems/actionpack-3.
.0-p353@test_develop-1/gems/actionpack-3.
.0-p353Q@test_develop-1/gems/actionpack-3.

.0-p353@test_develop-1/gems/actionpack-3.

22/lib/action_controller/metal/params_w
2.22/1lib/active_record/railties/control

22/1lib/abstract_controller/base.rb:121:

.22/1lib/abstract_controller/rendering.rb
.22/1lib/action_controller/metal.rb:203:1
.22/1lib/action_controller/metal/rack_del
.22/1lib/action_controller/metal.rb:246:1i
.22/1ib/action_dispatch/routing/route_se

.22/1lib/action_dispatch/routing/route_se

.0-p353@test_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/routing/route_se

.0-p353Q@test_develop-1/gems/Jjourney-1.0.4/1ib/journey/router.rb:68:in “block in ca

.0-p353Q@test_develop-1/gems/journey-1.0.4/1ib/journey/router.rb:56:in “each'

.0-p353Q@test_develop-1/gems/Jjourney-1.0.4/1ib/journey/router.rb:56:in “call'

.0-p353@test_develop-1/gems/actionpack-3.2.
.0-p353Q@test_develop-1/gems/apipie-rails-0.
.0-p353@test_develop-1/gems/apipie-rails-0.

.0-p353@test_develop-1/gems/apipie-rails-0.

“call!
.0-p353Q@test_develop-1/gems/rack-1.4.7/1lib/rack/etag.rb:23:in “call'
.0-p353@test_develop-1/gems/rack-1.4.7/1lib/rack/conditionalget.rb:35:in “call'
.0-p353@test_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/middleware/head.

0
0
0

0

22/1lib/action_dispatch/routing/route_se
2.6/lib/apipie/static_dispatcher.rb:65:
2.6/1lib/apipie/extractor/recorder.rb:97

2.6/lib/apipie/middleware/checksum_in_h

0-p353@test_develop-1/gems/rack-openid-1.4.2/1ib/rack/openid.rb:98:in “call'
0-p353Q@test_develop-1/gems/actionpack—3.2.22/1ib/action_dispatch/middleware/best_

.0-p353@test_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/middleware/param

/var/lib/workspace/workspace/test_develop/database/postgresgl/ruby/2.0.0/slave/fast/lib/middleware/catch_json_

parse_errors.rb:9:in “call'
/usr/local/rvm/gems/ruby-2.
.rb:242:in “call'
/usr/local/rvm/gems/ruby-2.
text'
/usr/local/rvm/gems/ruby-2.
l L}
/usr/local/rvm/gems/ruby-2.
es.rb:341:in “call’
/usr/local/rvm/gems/ruby-2.

4:in “call'

05/18/2024

0

.0-p353@test_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/middleware/flash

.0-p353@test_develop-1/gems/rack-1.4.7/1lib/rack/session/abstract/id.rb:210:1in

.0-p353Q@test_develop-1/gems/rack-1.4.7/1lib/rack/session/abstract/id.rb:205:in

‘con

‘cal

.0-p353@test_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/middleware/cooki

.0-p353@test_develop-1/gems/activerecord-3.2.22/1lib/active_record/query_cache.rb:6
/usr/local/rvm/gems/ruby—-2.0.
ers/abstract/connection_pool.
/usr/local/rvm/gems/ruby-2.0.
acks.rb:28:in “block in call'
/usr/local/rvm/gems/ruby-2.0.

0-p353@test_develop-1/gems/activerecord-3.2.22/1ib/active_record/connection_adapt
rb:479:in “call'
0-p353@test_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/middleware/callb

0-p353Q@test_develop-1/gems/activesupport—-3.2.22/1lib/active_support/callbacks.rb:4

05:in "_run_ 3547506535331012907__call_2339025536705823331__callbacks'

/usr/local/rvm/gems/ruby—-2.0.
05:in '__run_callback"'
/usr/local/rvm/gems/ruby-2.0.
85:in " _run_call_callbacks'
/usr/local/rvm/gems/ruby-2.0.
l:in “run_callbacks'
/usr/local/rvm/gems/ruby—-2.0.
acks.rb:27:in “call'
/usr/local/rvm/gems/ruby-2.0.
e_ip.rb:31:in “call'
/usr/local/rvm/gems/ruby-2.0.
_exceptions.rb:16:in “call'
/usr/local/rvm/gems/ruby—-2.0.
exceptions.rb:56:in “call'
/usr/local/rvm/gems/ruby-2.0.
pp'
/usr/local/rvm/gems/ruby-2.0.
/usr/local/rvm/gems/ruby-2.0.
h_quiet_assets'
/usr/local/rvm/gems/ruby-2.0.
st_id.rb:22:in ‘call'
/usr/local/rvm/gems/ruby—-2.0.
/usr/local/rvm/gems/ruby-2.0.
/usr/local/rvm/gems/ruby-2.0.
/local_cache.rb:72:in “call’
/usr/local/rvm/gems/ruby-2.0.
/usr/local/rvm/gems/ruby-2.0.
c.rb:83:in “call'
/usr/local/rvm/gems/ruby-2.0.
/usr/local/rvm/gems/ruby-2.0.
/usr/local/rvm/gems/ruby—-2.0.
/usr/local/rvm/gems/ruby-2.0.
/usr/local/rvm/gems/ruby-2.0.
/usr/local/rvm/gems/ruby—-2.0.
/usr/local/rvm/gems/ruby-2.0.
/usr/local/rvm/gems/ruby-2.0.
/usr/local/rvm/rubies/ruby-2.
/usr/local/rvm/rubies/ruby-2.
/usr/local/rvm/rubies/ruby-2.
/usr/local/rvm/gems/ruby—-2.0.
‘call!
/usr/local/rvm/gems/ruby-2.0.

0-p353@test_develop-1/gems/activesupport—-3.2.22/1ib/active_support/callbacks.rb:4
0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/callbacks.rb:3
0-p353Q@test_develop-1/gems/activesupport—-3.2.22/1lib/active_support/callbacks.rb:8
0-p353@test_develop-1/gems/actionpack—-3.2.22/1ib/action_dispatch/middleware/callb
0-p353@test_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/middleware/remot
0-p353Q@test_develop-1/gems/actionpack—3.2.22/1lib/action_dispatch/middleware/debug
0-p353@test_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/middleware/show_
0-p353@test_develop-1/gems/railties-3.2.22/1ib/rails/rack/logger.rb:32:in “call_a

0-p353Q@test_develop-1/gems/railties—3.2.22/1lib/rails/rack/logger.rb:18:in “call'
0-p353@test_develop-1/gems/quiet_assets-1.1.0/1lib/quiet_assets.rb:27:in “call_wit

0-p353Q@test_develop-1/gems/actionpack—3.2.22/1lib/action_dispatch/middleware/reque

0-p353@test_develop-1/gems/rack-1.4.7/1lib/rack/methodoverride.rb:21:in “call'
0-p353Q@test_develop-1/gems/rack-1.4.7/1lib/rack/runtime.rb:17:in “call'
0-p353@test_develop-1/gems/activesupport-3.2.22/1lib/active_support/cache/strategy

0-p353Q@test_develop-1/gems/rack-1.4.7/1ib/rack/lock.rb:15:in “call'
0-p353@test_develop-1/gems/actionpack-3.2.22/1ib/action_dispatch/middleware/stati

0-p353Q@test_develop-1/gems/railties—3.2.22/1ib/rails/engine.rb:484:in “call’
0-p353@test_develop-1/gems/railties-3.2.22/1ib/rails/application.rb:231:in “call'
0-p353@test_develop-1/gems/rack-1.4.7/1lib/rack/builder.rb:134:in “call'
0-p353Q@test_develop-1/gems/rack-1.4.7/1lib/rack/urlmap.rb:64:in "block in call'
0-p353@test_develop-1/gems/rack-1.4.7/1lib/rack/urlmap.rb:49:in “each'
0-p353@test_develop-1/gems/rack-1.4.7/1lib/rack/urlmap.rb:49:in “call'
0-p353Q@test_develop-1/gems/capybara-2.5.0/1ib/capybara/server.rb:19:in “call'
0-p353@test_develop-1/gems/rack-1.4.7/1lib/rack/handler/webrick.rb:59:in “service'
0.0-p353/1ib/ruby/2.0.0/webrick/httpserver.rb:138:1in "service'
0.0-p353/1ib/ruby/2.0.0/webrick/httpserver.rb:94:in "run'
0.0-p353/1ib/ruby/2.0.0/webrick/server.rb:295:in “block in start_thread'
0-p353@test_develop-1/gems/logging-2.0.0/1ib/logging/diagnostic_context.rb:448:1in

0-p353@test_develop-1/gems/logging-2.0.0/1ib/logging/diagnostic_context.rb:448:1in

"block in create_with_logging_context'

#3 - 12/22/2015 11:19 AM - Dominic Cleal

This test could be skipped for the time being to stabilise develop, similar to #9138 (though that's never been fixed again).

#4 - 12/23/2015 04:46 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/3001 added

#5 - 12/24/2015 09:17 AM - Dominic Cleal

- translation missing: en.field_release set to 104

#6 - 12/24/2015 10:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e47927e6953{31e4f45b61273443cdd00c9a645f.
